<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <CustomBuild Include="shaders\*.*">
      <FileType>Document</FileType>
      <Message>Validating and minifying shader %(Identity)</Message>
      <Command>Tools\glslangValidator.exe -d %(Identity) &amp;&amp; Tools\shader_minifier.exe %(Identity) --preserve-externals -o shaders\output\%(FileName)%(Extension).h</Command>
      <Outputs>shaders\output\%(FileName)%(Extension).h</Outputs>
      <LinkObjects>false</LinkObjects>
      <OutputItemType>ClInclude</OutputItemType>
      <BuildInParallel>true</BuildInParallel>
    </CustomBuild>
  </ItemGroup>
</Project>